function varargout = index_export(varargin)
% MATLAB Courseware for Machine Design by Shih-Liang (Sid) Wang
% Software Copyright 2004 by The McGraw-Hill Companies, Inc.  All rights reserved.
%
% INDEX_EXPORT Application M-file for index_export.fig
%    FIG = INDEX_EXPORT launch index_export GUI.
%    INDEX_EXPORT('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.5 15-Apr-2003 15:21:26

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

	% Use system color scheme for figure:
	set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		if (nargout)
			[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
		else
			feval(varargin{:}); % FEVAL switchyard
		end
	catch
		disp(lasterr);
	end

end

% --------------------------------------------------------------------
function varargout = pushbutton_dynamic_Callback(h, eventdata, handles, varargin)

dynamic_factor_export

% --------------------------------------------------------------------
function varargout = pushbutton_beam_Callback(h, eventdata, handles, varargin)

beam1_1_export

% --- Executes on button press in pushbutton_pushbutton_beam.
function pushbutton_mohr_Callback(hObject, eventdata, handles)

mohr_1_export

% --- Executes on button press in pushbutton_failure.
function pushbutton_failure_Callback(hObject, eventdata, handles)

failure_brittle_export

% --------------------------------------------------------------------
function file_menu_Callback(hObject, eventdata, handles)

% --------------------------------------------------------------------
function exit_submenu_Callback(hObject, eventdata, handles)

delete(handles.figure1)

% --------------------------------------------------------------------
function help_menu_Callback(hObject, eventdata, handles)

% --------------------------------------------------------------------
function overview_submenu_Callback(hObject, eventdata, handles)

open toc.htm

% --------------------------------------------------------------------
function print_submenu_Callback(hObject, eventdata, handles)

printdlg(handles.figure1)

% --------------------------------------------------------------------
function about_submenu_Callback(hObject, eventdata, handles)

scrsz = get(0,'ScreenSize');
figure('name','About MATLAB for Machine Design','menubar', 'none','NumberTitle','off' ,'Position',[.6*scrsz(3)  .6*scrsz(4) scrsz(3)/4 scrsz(4)/4])
%scrsz(3) is the width; scrsz(4)is the height; the window is positioned at
%upper right corner.
axis off;
text(.46, .95,' \bf  MATLAB Courseware ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .83,' \bf for ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .71,' \bf  Machine Design','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .55,'  Release 1.0','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .43,' March 10, 2003','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .25,'  Software copyright \copyright 2004 ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .11,' by Shih-Liang (Sid) Wang','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, -.09,' All rights reserved.','HorizontalAlignment','center','VerticalAlignment','bottom')


% --- Executes on button press in pushbutton_geometry.
function pushbutton_geometry_Callback(hObject, eventdata, handles)

geometry_factor_20_export

% --- Executes on button press in pushbutton_buckling.
function pushbutton_buckling_Callback(hObject, eventdata, handles)

buckling_export

% --- Executes on button press in pushbutton_mohr_brittle.
function pushbutton_mohr_brittle_Callback(hObject, eventdata, handles)

Mohr_brittle_export

% --- Executes on button press in pushbutton_beam2.
function pushbutton_beam2_Callback(hObject, eventdata, handles)

beam1_2_export


% --- Executes during object creation, after setting all properties.
function pushbutton_dynamic_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pushbutton_dynamic (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object deletion, before destroying properties.
function pushbutton_beam2_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to pushbutton_beam2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)




% --- Creates and returns a handle to the GUI figure. 
function h1 = openfig(filename, policy)
% policy - create a new figure or use a singleton. 'new' or 'reuse'.

persistent hsingleton;
if strcmpi(policy, 'reuse') & ishandle(hsingleton)
    h1 = hsingleton;
    return;
end

h1 = figure(...
'Units','characters',...
'Color',[0.925490196078431 0.913725490196078 0.847058823529412],...
'Colormap',[0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0],...
'IntegerHandle','off',...
'InvertHardcopy',get(0,'defaultfigureInvertHardcopy'),...
'MenuBar','none',...
'Name','Table of Contents',...
'NumberTitle','off',...
'PaperPosition',get(0,'defaultfigurePaperPosition'),...
'Position',[46.2 19.7692307692308 112 32.3076923076923],...
'Resize','off',...
'HandleVisibility','callback',...
'Tag','figure1');

setappdata(h1, 'GUIDEOptions', struct(...
'active_h', 2.170004e+002, ...
'taginfo', struct(...
'figure', 2, ...
'pushbutton', 17, ...
'text', 15), ...
'override', 0, ...
'resize', 'none', ...
'accessibility', 'callback', ...
'mfile', 1, ...
'callbacks', 1, ...
'singleton', 1, ...
'blocking', 0, ...
'syscolorfig', 1, ...
'lastSavedFile', 'C:\matlab_r13\design\ugural\index.m', ...
'release', 12));


h2 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_buckling_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 15.4615384615385 60 1.69230769230769],...
'String','Buckling',...
'Tag','pushbutton_buckling');


h3 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_dynamic_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 7.15384615384615 60 1.69230769230769],...
'String','Gear Dynamic Factor',...
'CreateFcn','index_export(''pushbutton_dynamic_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','pushbutton_dynamic');


h4 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_beam_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 19.5384615384615 60 1.61538461538462],...
'String','Beam - Shear Force and Bending Moment',...
'Tag','pushbutton_beam');


h5 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontSize',9,...
'ListboxTop',0,...
'Position',[15.8 24.1538461538462 81.8 6.15384615384615],...
'String',{ '' '' 'by ' 'Shih-Liang (Sid) Wang ' '' 'a supplement for ' },...
'Style','text',...
'Tag','text1');


h6 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontSize',12,...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[15.4 29.1538461538462 82.4 1.53846153846154],...
'String','MATLAB for Machine Design ',...
'Style','text',...
'Tag','text2');


h7 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontSize',10,...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[8.4 21.8461538461538 98.4 1.61538461538462],...
'String','Mechanical Design: An integrated approach by Ansel C. Ugural  ',...
'Style','text',...
'Tag','text3');


h8 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[13 1.46153846153846 92 1.07692307692308],...
'String','Software copyright  2004 by The McGraw-Hill Companies, Inc. All rights reserved. ',...
'Style','text',...
'Tag','text4');


h9 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_mohr_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 17.4615384615385 60 1.69230769230769],...
'String','Mohr Circle',...
'Tag','pushbutton_mohr');


h10 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 19.3076923076923 36 1.61538461538462],...
'String','P. 93, Figure 3.15',...
'Style','text',...
'Tag','text5');


h11 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 17.2307692307692 36 1.61538461538462],...
'String','P.108, Figure 3.28',...
'Style','text',...
'Tag','text7');


h12 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 13.0769230769231 36 1.61538461538462],...
'String','P. 285, Figure 7.12a',...
'Style','text',...
'Tag','text8');


h13 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_mohr_brittle_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 13.3846153846154 60 1.69230769230769],...
'String','Mohr Circle-Brittle',...
'Tag','pushbutton_mohr_brittle');


h14 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 15.1538461538462 36 1.61538461538462],...
'String','P. 236, Figure 6.3',...
'Style','text',...
'Tag','text9');


h15 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_failure_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 11.2307692307692 60 1.69230769230769],...
'String','Failure Theory - Brittle Materials',...
'Tag','pushbutton_failure');


h16 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 11 36 1.61538461538462],...
'String','P. 285, Figure 7.12b',...
'Style','text',...
'Tag','text10');


h17 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_beam2_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 9.23076923076923 60 1.69230769230769],...
'String','Beam - Shear Force and Bending Moment',...
'DeleteFcn','index_export(''pushbutton_beam2_DeleteFcn'',gcbo,[],guidata(gcbo))',...
'Tag','pushbutton_beam2');


h18 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 6.84615384615385 36 1.61538461538462],...
'String','P. 447, Figure 11.14',...
'Style','text',...
'Tag','text11');


h19 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 8.92307692307692 36 1.61538461538462],...
'String','P. 368, Figure 9.16',...
'Style','text',...
'Tag','text12');


h20 = uimenu(...
'Parent',h1,...
'Callback','index_export(''file_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','File',...
'Tag','file_menu');

h21 = uimenu(...
'Parent',h20,...
'Callback','index_export(''print_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Print',...
'Tag','print_submenu');

h22 = uimenu(...
'Parent',h20,...
'Callback','index_export(''exit_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Exit',...
'Tag','exit_submenu');

h23 = uimenu(...
'Parent',h1,...
'Callback','index_export(''help_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Help',...
'Tag','help_menu');

h24 = uimenu(...
'Parent',h23,...
'Callback','index_export(''overview_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Overview',...
'Tag','overview_submenu');

h25 = uimenu(...
'Parent',h23,...
'Callback','index_export(''about_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','About . . .',...
'Tag','about_submenu');

h26 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','index_export(''pushbutton_geometry_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 5.07692307692308 60 1.69230769230769],...
'String','Gear Geometry Factor',...
'Tag','pushbutton_geometry');


h27 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'HorizontalAlignment','right',...
'ListboxTop',0,...
'Position',[5.8 4.76923076923077 36 1.61538461538462],...
'String','P. 448, Figure 11.15a',...
'Style','text',...
'Tag','text14');



hsingleton = h1;
